Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158421 - kernel panic spin_locks already locked
Summary: kernel panic spin_locks already locked
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: i386
OS: Linux
medium
high
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-22 05:01 UTC by Alan Mead
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-23 19:39:02 UTC


Attachments (Terms of Use)

Description Alan Mead 2005-05-22 05:01:50 UTC
Description of problem:

Ran up2date tonight to update my working, stock FC3 i386 distribution.  The
kernel was updated from 2.6.9-1.667 to 2.6.11-1.14_FC3.

Now I get a kernel panic during boot.

Red Hat nash version 4.1.18 starting
Kernel panic - not syncing: drivers/ide/pci/piix.c:231: 
   spin_lock(drivers/ide/ide.c:c036dc408) already locked by 
   drivers/ide-iops.c/1153.  (Not tainted)

How reproducible:
Steps to Reproduce:
I haven't re-installed FC3 but the kernel panic happens each time I boot.
 

Additional info:
I can supply additional information about the hardware.  It's an old (cerca
1998) whitebox that has run FC3 fine until now.

Comment 1 Dave Jones 2005-05-22 05:33:57 UTC
Can you try the kernel at http://people.redhat.com/davej/kernels/Fedora/FC3/
and see if that fixes this ?


Comment 2 Alan Mead 2005-05-22 05:47:32 UTC
I could try a new kernel if I could figure out how to mount / rw (or... why when
it is mounted rw I cannot make any changes to it).  Here is some information
from the dmesg after booting 2.6.9-1.667 ... I guess I was having problems all
along it:

EXT3-fs: mounted filesystem with ordered data mode.
hda: dma_intr: status=0x51 { DriverReady SeekComplete Error }
hda: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hda: dma_intr: status=0x51 { DriverReady SeekComplete Error }
hda: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hda: dma_intr: status=0x51 { DriverReady SeekComplete Error }
hda: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
hda: dma_intr: status=0x51 { DriverReady SeekComplete Error }
hda: dma_intr: error=0x84 { DriveStatusError BadCRC }
ide: failed opcode was: unknown
drivers/ide/pci/piix.c:390: spin_lock(drivers/ide/ide.c:0236e3a8) already locked
by drivers/ide/ide-iops.c/1178
hdb: DMA disabled
drivers/ide/ide-iops.c/1246: spin_lock(drivers/ide/ide.c:0236e3a8) not locked
ide0: reset: success
SELinux: Disabled at runtime.

Comment 3 Dave Jones 2005-05-23 19:39:02 UTC
To my untrained eye, that appears to be a dying hard disk.

The spinlock bug is fixed in the update that went live this morning.



Note You need to log in before you can comment on or make changes to this bug.